import * as ufx from "./ufx";
import cache from "./base/cache";
import check from "./base/check";
import home from "./base/home";
import setting from "./base/setting";
import * as env from './base/env';
import * as npm from './base/npm';
import * as utils from './base/utils';
import util from '../../../../ufx-kit-vue/src/modules/util';

export { EnvType } from './base/env';

export module base {
  type Commands = {
    (name: string): Promise<void> | void;
  }
  
  enum modNames {
    log = 'log', utils = 'utils', cache = 'cache',
    env = 'env',home = 'home',npm = 'npm', check='check', setting ='setting',
  }
  export type Modules = {
    (name: 'log'): ufx.logFn;
    (name: 'utils'): Utils;
    (name: 'cache'): Cache;
    (name: 'env'): Env;
    (name: 'home'): Home;
    (name: 'npm'): Npm;
    (name: 'check'): check;
    (name: 'setting'): Setting;
  };
  
  export interface Base extends ufx.UfxClass {
    baseInfo: any;
    getBaseModule: Modules;
    getBaseCommand: Commands;
    getCoreClass(): void;
  }

  export type npmCommond = npm.npmCommond;
  export type EnvType = env.EnvType;
  export type NetData = utils.NetData;

  export interface Cache extends cache {}
  export interface Home extends home {}
  export interface Check extends check {}
  export interface Setting extends setting {}
  export interface Env extends env.Env {}
  export interface Npm extends npm.Npm {}
  export interface Utils extends utils.Utils {}
}

export interface CoreContext extends ufx.BaseContext {
  cli?: {
    argv?: ufx.parsedArgs // 兼容老版本core context，迭代一定周期后可以清理掉这个兼容
  };
  getBaseModule: base.Modules;
}
