import debug from 'debug';

/**
 * log对象的生成接口
 */
export type logFn = (moduleName?: string) => Log;

/**
 * UFX通用的log对象
 */
export interface Log {
  /**
   * 输出日志，Level Info
   */
  info(...content: any[]): void;
  /**
   * 输出日志，Level success
   */
  success(...content: any[]): void;
  /**
   * 输出日志，Level warn
   */
  warn(...content: any[]): void;
  /**
   * 输出日志，Level error
   */
  error(...content: any[]): void;
  /**
   * 输出日志，Level debug
   */
  debug: debug.Debug & any;
}
