/**
 * UFX Base全局配置接口
 */
export default interface Setting {
  /**
   * 用户的Home目录
   */
  'USER_HOME_DIR': string;

  /**
   * 本地缓存目录名
   * @eg: mac path = ~/.ufe
   */
  'CACHE_DIR_NAME': string;

  /**
   * 缓存文件名
   */
  'CACHE_FILE_NAME': string;

  /**
   * cli的package-name
   */
  'CLI_MODULE_NAME': string;

  /**
   * base的package-name
   */
  'BASE_MODULE_NAME': string;

  /**
   * core的本地缓存目录名
   */
  'CORE_CACHE_DIR_NAME': string;
  /**
   * core的package-name
   */
  'CORE_MODULE_NAME': string;

  /**
   * 标记core缓存的key，存放在本地缓存json文件中
   */
  'CORE_CACHE_KEY': string;

  /**
   * 标记cli缓存的key，存放在本地缓存json文件中
   */
  'CLI_CACHE_KEY': string;

  /**
   * 标记base缓存的key，存放在本地缓存json文件中
   */
  'BASE_CACHE_KEY': string;
  /**
   * 标记网络环境检测结果缓存的key
   */
  'NET_ENV_CACHE_KEY': string;
  /**
   * 更新检测的间隔，默认3小时
   */
  'DEFAULT_CHERCK_EXPRIES': number;
  /**
   * 网络环境检测的间隔，默认30分钟内不用重复检测
   */
  'NET_CHERCK_EXPRIES': number;

  // [name: string]: string | number | { [name: string]: any };
}
