/**
 * 操作项目中的开发配置文件工具接口
 */
export default interface Config {
  /**
   * 当前目录下是否存在${CONFIG_FILE_NAME}文件
   * @param  {String} root ${CONFIG_FILE_NAME}的路径
   * @return {boolean}
   */
  exist(root?: string): boolean;
  /**
   * 根据key获取${CONFIG_FILE_NAME}的单个对象
   * @param {string} key ${CONFIG_FILE_NAME}文件中的key
   * @return {any}
   */
  /**
   * 根据key获取${CONFIG_FILE_NAME}的单个对象
   * @param {String} key ${CONFIG_FILE_NAME}文件中的key
   * @param {String} root ${CONFIG_FILE_NAME}的路径
   * @return {any}
   */
  get(key: string, root?: string): any;
  /**
   * 获取整个${CONFIG_FILE_NAME}文件的内容
   * @return {any}
   */
  getAll(root?: string): any;
  /**
   * 获取套件的名字
   * @param {String} root ${CONFIG_FILE_NAME}所在的目录
   * @return {String|null}
   */
  getKitName(root?: string): string | null;

  /**
   * 设置没有初始化情况下的运行期套件名字
   * @param {String} dir ${CONFIG_FILE_NAME}所在的目录
   * @private
   */
  setKitName(name: string): void;
}
