import baseHome from '../base/home'

/**
 * 缓存目录控制
 */
export default interface Home extends baseHome {
  /**
   * 获取模块的安装目录
   * @return {String}
   */
  getModulesPath(): string;

  /**
   * 获取模块的package.json的path
   * @param fullName 
   * @return {String}
   */
  getModulePkgPath(fullName: string): string;

  /**
   * 读取模块的package.json内容
   * @param fullName 模块名的全名，不支持缩写, eg: kit-rax 要写成 @scope/${nameSpace}-kit-rax
   * @return {Object}
   */
  getModulePkgInfo(fullName: string): any;

  /**
   * 清理模块的缓存目录
   */
  cleanModulesDir(): void;
}
