export default interface KitLog {
  /**
   * 输出日志，Level Info
   * @param {Array} content 
   * 
   * @example
   * ```js
   * logInfo('test', 'test demo');
   * ```
   */
  logInfo(...content: any[]): void;
  /**
   * 输出日志，Level Error
   * @param {Array} content 
   */
  logError(...content: any[]): void;
  /**
   * 输出日志，Level Warn
   * @param {Array} content 
   */
  logWarn(...content: any[]): void;
  /**
   * 输出日志，Level Success
   * @param {Array} content 
   */
  logSuccess(...content: any[]): void;
  /**
   * 输出日志，Level Debug
   * @param {Array} content
   * 
   * @example
   * ```bash
   * DEBUG=ufx* ufx dev
   * ```
   */
  logDebug(...content: any[]): void;
}
